# INIT

scoreboard objectives add daysPassed dummy
scoreboard objectives add deathCheck deathCount


# GET DAYS SINCE DEATH

execute store result score total daysPassed run time query day

execute as @a if score @s deathCheck matches 1 run scoreboard players operation lost daysPassed = total daysPassed
scoreboard players set @a[scores={deathCheck=1..}] deathCheck 0

execute if score lost daysPassed > total daysPassed run scoreboard players operation lost daysPassed = total daysPassed

scoreboard players operation sinceDeath daysPassed = total daysPassed
scoreboard players operation sinceDeath daysPassed -= lost daysPassed


# DESTROY CALENDAR

execute as @e[type=item_frame,tag=calendar] unless entity @s[nbt={Item:{tag:{Tag:"calendarItem"}}}] run function death_calendars:destroy


# SPAWN CALENDAR

execute as @e[type=item_frame,nbt={Item:{id:"minecraft:paper",Count: 1b}}] at @s run function death_calendars:spawn


# GIVE PAPER WHEN DESTROYED

execute as @e[type=item,nbt={Item:{id:"minecraft:carrot_on_a_stick",tag:{Tag:"calendarItem"}}}] at @s run function death_calendars:spawn_paper


# SET RIGHT MODEL

function death_calendars:update
execute as @e[type=item_frame, tag=calendar] run data merge entity @s {ItemRotation:0b}